New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Voices

Save a designed voice

POST
/v1/voices/design/{id}/save

Saves the voice from a succeeded design job. Returns 409 design_expired after 24 hours.

Authorization

bearer
headerAuthorizationBearer <API key>

An API key from Settings, starting vcp_live_.

Path Parameters

id*string

Request Body

application/json
  1. body
name*string

The voice name.

Length1 <= length <= 80

Response Body

Created.

application/json
  1. response
id*string

A uuid for saved voices, or the preset id.

name*string
type*string
Value in"clone""design""preset"
model*|

The model a preset belongs to, or null for saved voices.

duration_seconds*|

Length of the reference clip, or null.

Range0 <= value
created_at*|

When the voice was saved, or null for presets.

Formatdate-time
Example Request
curl -X POST 'https://api.vcp.name/v1/voices/design/string/save' \  -H 'Content-Type: application/json' \  -d '{  "name": "Narrator"}'
Example Response
{  "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",  "name": "Narrator",  "type": "design",  "model": null,  "duration_seconds": null,  "created_at": "2026-10-30T00:10:42Z"}